/*
 * Copyright 2004, U.S. Robotics Corporation
 * All Rights Reserved.
 * 
 * THIS SOFTWARE IS OFFERED "AS IS", AND U.S. Robotics GRANTS NO WARRANTIES OF
 * ANY KIND, EXPRESS OR IMPLIED, BY STATUTE, COMMUNICATION OR OTHERWISE. U.S.
 * Robotics SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, 
 * FITNESS FOR A SPECIFIC PURPOSE OR NONINFRINGEMENT CONCERNING THIS SOFTWARE.
 *
 * $Id: check_fw.h,v 1.2 2004/10/08 23:32:04 dtutuianu Exp $
 */
#ifndef DETECT_N_FW_H
#define DETECT_N_FW_H

#if defined(linux)

#include <fcntl.h>
#include <signal.h>
#include <time.h>
#include <sys/klog.h>
#include <sys/wait.h>
#include <sys/ioctl.h>
#include <sys/time.h>
#include <net/if.h>
#endif

/* Ascii month for tm_mon */
char *sz_month[] = {"Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"};

/* = 1 if new firmware is available to download */
volatile int new_fw_available = 0;

/* = 1 then force checking new firmware even if the time has not been elapsed */
volatile int force_check_fw = 0;

/* time when the last time the firmware has been checked */
volatile struct timeval last_check = {0,0};

/* New firmware version */
volatile char sz_new_fw_version[100];

/* New firmware date */
volatile char sz_new_fw_date[100];

#endif /* DETECT_N_FW_H */
